<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<?php

require ('config.php');

define ("CONFIG_DOC", "config.xml");

$config = new Config();

if ($_REQUEST['save']) {
	$config->server = $_REQUEST['server'];
	$config->port = $_REQUEST['port'];
	$config->context = $_REQUEST['context'];
	$config->secret = $_REQUEST['secret'];
	$config->ssl = $_REQUEST['ssl'] ? 1 : 0;
	$config->passwords = $_REQUEST['passwords'] ? 1 : 0;
	$config->save(CONFIG_DOC);
} else {
	$config->load(CONFIG_DOC);
}

?>
<html>
<head>
<title>Configure PINsafe Server</title>
<link type="text/css" rel="stylesheet" href="login.css"/>
</head>
<body>
<h1>PINsafe Configuration</h1>
<form method="post">
<table id="configure">
<tr class="top-row">
<th class="label">Server</th>
<td class="text"><input name="server" value="<?php echo $config->server; ?>"/></td>
</tr>
<tr class="other-row">
<th class="label">Port</th>
<td class="text"><input name="port" value="<?php echo $config->port; ?>"/></td>
</tr>
<tr class="other-row">
<th class="label">Context</th>
<td class="text"><input name="context" value="<?php echo $config->context; ?>"/></td>
</tr>
<tr class="other-row">
<th class="label">Secret</th>
<td class="text"><input name="secret" type="password" value="<?php echo $config->secret; ?>"/></td>
</tr>
<tr class="other-row">
<th class="label">Use SSL</th>
<td class="text"><input type="checkbox" name="ssl" <?php if ($config->ssl) echo "checked='checked'"; ?>/></td>
</tr>
<tr class="other-row">
<th class="label">Use Passwords</th>
<td class="text"><input type="checkbox" name="passwords" <?php if ($config->passwords) echo "checked='checked'"; ?>/></td>
</tr>
<tr id="buttons-row"><td colspan="2">
<input type="submit" name="save" value="Save"/>&nbsp;&nbsp;
<input type="submit" name="load" value="Reset"/>
</td></tr>
</table>
</form>
</body>
</html>